#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n,k;
    cin >> n >> k;
    string s;
    cin >> s;
    int dp[26][n];
    for(int i = 0;i < 26;i++)
        for(int j = 0;j < n;j++)
            dp[i][j] = 0;
    cout << 1 << ' ';
    dp[s[0]-'a'][0]++;
    for(int i = 1;i < n;i++){
        for(int j = 0;j < 26;j++) dp[j][i] = dp[j][i-1];
        dp[s[i]-'a'][i] += 1;
        int ans = 0;
        for(int j = 0;j <= i;j++){
            int mn = 200005;
            for(int m = 0;m < k;m++){
                mn = min(dp[m][i],mn);
            }
            ans = mn;
        }
        cout << ans+1 << ' ';
    }

    return 0;
}